Kick a player
curl --request POST \
--url https://controller.platform.simplecloud.app/v0/players/kick \
--header 'Content-Type: application/json' \
--header 'X-Network-ID: <x-network-id>' \
--header 'X-Network-Secret: <x-network-secret>' \
--data '
{
"reason": "You have been kicked!"
}
'import requests
url = "https://controller.platform.simplecloud.app/v0/players/kick"
payload = { "reason": "You have been kicked!" }
headers = {
"X-Network-ID": "<x-network-id>",
"X-Network-Secret": "<x-network-secret>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Network-ID': '<x-network-id>',
'X-Network-Secret': '<x-network-secret>',
'Content-Type': 'application/json'
},
body: JSON.stringify({reason: 'You have been kicked!'})
};
fetch('https://controller.platform.simplecloud.app/v0/players/kick', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Kick request sent",
"player_id": "069a79f4-44e9-4726-a5be-fca90e38aaf5",
"success": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}players
Kick a player
Kick a player from the network
POST
/
v0
/
players
/
kick
Kick a player
Query Parameters
Player UUID
Body
application/json
Kick reason
Request to kick a player
Example:
"You have been kicked!"
Was this page helpful?
⌘I